intoncpu.d(1m)

NAME
intoncpu.d - print interrput on-cpu usage. Uses DTrace.

SYNOPSIS
intoncpu.d

DESCRIPTION
This prints a distribution of the on-cpu time for interrput threads. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the sdt provider interrupt probes.

EXAMPLES

This samples until Ctrl-C is hit.
    # intoncpu.d

FIELDS

value
    Time interrupt thread was on-cpu, ns

count
    Number of occurrences of at least this time

BASED ON
/usr/demo/dtrace/intr.d

DOCUMENTATION
DTrace Guide "sdt Provider" chapter (docs.sun.com) See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
intoncpu.d will sample until Ctrl-C is hit.

SEE ALSO
intrstat(1M), dtrace(1M)